#!/bin/bash

input_parameters="--reg1pos interactions_regression_test_positions_1.txt --reg1gen interactions_regression_test_genotype_1.txt --reg2pos interactions_regression_test_positions_2.txt --reg2gen interactions_regression_test_genotype_2.txt"

./iblossoc -u0 -o interactions_regression_test_phased.txt.out ${input_parameters}

./iblossoc -u1 -o interactions_regression_test_unphased.txt.out ${input_parameters}

./low_mem_iblossoc -u0 -o interactions_regression_test_phased_low_mem.txt.out ${input_parameters}

./low_mem_iblossoc -u1 -o interactions_regression_test_unphased_low_mem.txt.out ${input_parameters}

diff interactions_regression_test_phased.txt.{out,expected} &&
diff interactions_regression_test_unphased.txt.{out,expected} &&
diff interactions_regression_test_phased{_low_mem.txt.out,.txt.expected} &&
diff interactions_regression_test_unphased{_low_mem.txt.out,.txt.expected}
